जेटी 9.1.0.v20131115/ओएसएक्स 0.7.5/ओरेकल जेडीके 1.7

अगर कोई मेरी मदद कर सकता है तो मैं वास्तव में इसकी सराहना करता हूं। मेरे पास अनबंटू 12.04 वीएम पर जेट्टी 9 काम कर रहा है।

अब मैं अपने मैकबुक समर्थक पर एक ही जेटी चलाने की कोशिश कर रहा हूं। लेकिन यह अविश्वसनीय रूप से धीरे-धीरे चल रहा है और websockets डेमो काम नहीं करते हैं।

तो यह मेरी मैकबुक के इंस्टॉल के बारे में कुछ होना चाहिए। जैसा कि मैंने विषय में कहा है कि शेर चल रहा है (10.7.5) और मैंने अभी मशीन पर jre-7u45-macosx-x64.dmg स्थापित किया है।

जब मैं जावा-वर्जन करता हूं तो मुझे मिलता है

java version "1.7.0_05"
Java(TM) SE Runtime Environment (build 1.7.0_05-b05)
Java HotSpot(TM) 64-Bit Server VM (build 23.1-b03, mixed mode)

मेरे पास अनचाहे जेटी है और जब मैं डेमो-बेस फ़ोल्डर में उतरता हूं तो मैं बस करता हूं:

java -jar ../start.jar

और फिर क्रोम को http://localhost: 8080 पर इंगित करें और डेमो पर नेविगेट करें

मुझे लगता है कि नेविगेशन उबंटू बॉक्स पर धीमा है और वेबसाकेट डेमो सिर्फ गैर-कार्यात्मक हैं।

मुझे यकीन नहीं है कि अब इसे छेड़छाड़ करने के लिए किस दिशा में जाना है, इसलिए किसी भी सुझाव की सराहना करेंगे।

धन्यवाद

0
धन्यवाद। मैंने jvisualvm शुरू करने की कोशिश की लेकिन यह खाली हो गया और कमांड लाइन पर त्रुटियों का एक भार दिखाई देता है: CGContextGetCTM: अमान्य संदर्भ 0x0 और CGContextSetBaseCTM: अमान्य संदर्भ 0x0। जब मैं jvisualvm विंडो पर क्लिक करता हूं तो यह मुझे विजुअल वीएम समस्या निवारण मार्गदर्शिका नामक ब्राउज़र विंडो पर रीडायरेक्ट करता है ...
जोड़ा लेखक Vida, स्रोत
बस सोच रहा है .. मैंने jre-7u45-macosx-x64.dmg स्थापित किया है लेकिन जावा-वर्जन मुझे 1.7.0_05 नहीं देता है _45 .. क्या इसमें कुछ है?
जोड़ा लेखक Vida, स्रोत
ठीक है .. तो यह जावा का उपयोग कर रहा है: /System/Library/Frameworks/JavaVM.framework/Versions/Current‌/कमांड/जावा
जोड़ा लेखक Vida, स्रोत
हमम .. अजीब .. मैंने 1.7 इंस्टॉल किया लेकिन जब मैं संस्करण फ़ोल्डर (/System/Library/Frameworks/JavaVM.framework/Versions) करता हूं तो मुझे 1.7 संस्करण में सिम्लिंक नहीं मिलता .. इसके बजाय मुझे मिलता है: 1.4 @ 1.4 .2 @ 1.5 @ 1.5.0 @ 1.6 @ 1.6.0 @ ए/वर्तमान @ वर्तमान जेडीके @ - और वर्तमान जेडीके सिम्लिंक अंक/सिस्टम/लाइब्रेरी/जावा/जावावार्टुअल माचिन/1.6.0.jdk/ सामग्री
जोड़ा लेखक Vida, स्रोत
मुझे एक लिंक दिखाई देता है जो इसे हल कर सकता है, लेकिन माउंटेन शेर के लिए .... monkehworks.com/…
जोड़ा लेखक Vida, स्रोत
जोड़ा लेखक Vida, स्रोत
ड्रैट .. समस्या मैं जेआरई स्थापित किया गया था लेकिन जेडीके नहीं।
जोड़ा लेखक Vida, स्रोत
सबसे अधिक समय व्यतीत करने के लिए jvisualvm का उपयोग करें। यह आपको Google के लिए कुछ पूछने या पूछने के लिए कुछ दे सकता है।
जोड़ा लेखक Marko Topolnik, स्रोत
"अमान्य संदर्भ" त्रुटियां एक नियमित अवसर होती हैं और आमतौर पर हानिरहित होती हैं। वे आपकी समस्या से संबंधित हो सकते हैं या नहीं भी हो सकते हैं। लेकिन अब ऐसा लगता है कि आपके पास एक सामान्य जावा स्थापना समस्या है।
जोड़ा लेखक Marko Topolnik, स्रोत
हाँ, यह एक समस्या है। बस एक नया जेडीके स्थापित करने का मतलब यह नहीं है कि इसका जावा कमांड इस्तेमाल किया जा रहा है। ls -l 'java` के साथ जांचें कि यह देखने के लिए कि प्रतीकात्मक लिंक कहां इंगित कर रहा है, और उसके माध्यम से अनुसरण करें।
जोड़ा लेखक Marko Topolnik, स्रोत
जिस मार्ग को आपने इंगित किया है वह है जहां ऐप्पल का जावा स्थापित है, इसलिए स्पष्ट रूप से ओरेकल से जेआरई स्थापित करने से पथ प्रविष्टियों को अपडेट करने का भी प्रयास नहीं किया गया था। मैं खुद को नियमित रूप से कर रहा हूं cd/usr/bin; sudo ln -sf /*।
जोड़ा लेखक Marko Topolnik, स्रोत

1 उत्तर

समाधान: मैं बेवकूफ था। मैंने जेआरई स्थापित किया और जेडीके नहीं। जब मैंने जेडीके स्थापित किया तो यह सब काम करना शुरू कर दिया। किसी भी समय बर्बाद करने के लिए माफ़ी। मेरी मदद करने की कोशिश में बिताए गए समय के लिए मार्को का धन्यवाद।

0
जोड़ा